SEP-6 SEP-24 SEP-31
The user has to initiate transfer to the anchor
Params (11)
string
required
The unique identifier of this transaction.A unique transaction identifier.
string
Human readable explanation of transaction status.A human readable message.
object
required
The amount expected in the payment
object
required
Amount sent by anchor to user
object
This is required if the transaction is associated with a firm quote and for transactions where
amount_in.asset and amount_out.asset are the same.object
required
Description of fees charged by the anchorDescription of fee charged by the anchor.
object
The amount expected in the payment
string
Destination account
string
Value of memo to attach to transaction
string
Type of memo that anchor should attach to the transaction
string
Time and date by which user action is requiredA date and time.
Result
(request_onchain_fundsResponse)string
A unique transaction identifier.
integer
Protocol of the transaction.Available options:
6, 24, 31string
The kind of transaction that is desired.Available options:
undefined, receive, deposit, deposit-exchange, withdrawal, withdrawal-exchangestring
Processing status of the transaction.Available options:
pending_anchor, pending_trust, pending_user, pending_user_transfer_start, pending_user_transfer_complete, incomplete, no_market, too_small, too_large, pending_sender, pending_receiver, pending_transaction_info_update, pending_customer_info_update, completed, refunded, expired, error, pending_external, pending_stellarobject
The amount expected in the payment.
object
Amount expected/received by anchor.
object
The amount expected to be sent by anchor to user at end of transaction.
object
Description of fee charged by the anchor.
string
The id returned from a SEP-38 POST /quote response
string
Start date and time of transaction.
string
The date and time of transaction reaching the current status.
string
The date and time of transaction reaching completed or refunded status.
string
The date and time of receiving transfer.
string
Human readable explanation of transaction status
object
An object describing any on or offchain refund associated with this transaction.
Example
Example request to therequest_onchain_funds method.
Request